#!/usr/bin/env node

const path = require('path')
const os = require('os')
// 工程所在的根目录
exports.rootFolder = path.join(__dirname, '..')
// 模板缓存的根目录
exports.templateRootFolder = path.join(os.homedir(), '.longmo')
// 脚手架模板列表
exports.templates = [{
  name: '中后台前端脚手架（Vue.js 2.x + Vue Router + Vuex + Ant Design Vue）',
  value: 'template-vue2-manage'
}, {
  name: '组件（Vue.js 2.x + Vue Router + Vuex）',
  value: 'template-vue2-component'
}, {
  name: '示例（Vue.js 2.x + Vue Router + Vuex）',
  value: 'template-vue2-demo'
}, {
  name: '后端脚手架（Node.js + Egg.js + Sequelize）',
  value: 'template-node-egg'
}, {
  name: '命令行脚手架（Node.js + TypeScript + Commander）',
  value: 'template-node-cli'
}]

// 需要动态写入的 package.json 信息
exports.packageInfo = [{
  type: 'input',
  name: 'version',
  message: '请输入项目版本号',
  default: '1.0.0'
}, {
  type: 'input',
  name: 'description',
  message: '请填写项目描述',
  default: '项目描述'
}]
