#!/usr/bin/env node
const express = require('express')
// const serveStatic = require('serve-static')

exports.default = () => {
  const root = process.cwd()
  const config = require(`${root}/config/project.config.js`)
  const app = express()

  // 将当前的 cwd() 地址内置进去
  config.root = root

  return {
    app,
    staticServer: express.static,
    config
  }
}
